.ifdef __NEON__

.text
.global mul_matrix_asm

mul_matrix_asm:
    mov         r12, sp
    push        {r11, r12, lr, pc}
    sub         r11, r12, #4
    push        {r1 - r5}
    mov         r1, r0
    ldr         r2, [r1, #16]
    vld1.32	d14[], [r2]!
    vmov	d15, d14
    vld1.32     d16[], [r2]!
    vmov        d17, d16
    vld1.32     d18[], [r2]!
    vmov        d19, d18
    vld1.32     d20[], [r2]!
    vmov        d21, d20
    vld1.32     d22[], [r2]!
    vmov        d23, d22
    vld1.32     d24[], [r2]!
    vmov        d25, d24
    vld1.32     d26[], [r2]!
    vmov        d27, d26
    vld1.32     d28[], [r2]!
    vmov        d29, d28
    vld1.32     d30[], [r2]!
    vmov        d31, d30

    mov         r1, r0
    ldr         r5, [r1], #4
    ldr         r2, [r1], #4
    ldr         r3, [r1], #4
    ldr         r4, [r1], #4
LOOP:
		vld1.16     	d0, [r2]
		vmovl.u16   	q0, d0
		vcvt.f32.u32    q0, q0

		vld1.16     	d2, [r3]
		vmovl.u16   	q1, d2
		vcvt.f32.u32    q1, q1

		vld1.16     	d4, [r4]
		vmovl.u16   	q2, d4
		vcvt.f32.u32    q2, q2

		veor		q3, q3, q3
		vmla.f32	q3, q0, q7
		vmla.f32	q3, q1, q8
		vmla.f32	q3, q2, q9;
		vcvt.u32.f32	q3, q3
		vqmovn.u32	d6, q3
		vst1.16		d6, [r2]!

		veor		q4, q4, q4
		vmla.f32	q4, q0, q10
		vmla.f32	q4, q1, q11
		vmla.f32	q4, q2, q12
		vcvt.u32.f32	q4, q4
		vqmovn.u32	d8, q4
		vst1.16		d8, [r3]!

		veor		q5, q5, q5
		vmla.f32	q5, q0,	q13
		vmla.f32	q5, q1, q14
		vmla.f32	q5, q2, q15
		vcvt.u32.f32	q5, q5
		vqmovn.u32	d10, q5
		vst1.16		d10, [r4]!

		sub		r5, r5, #1
		cmp		r5, #0
		bne		LOOP


    pop         {r1 - r5}
    sub         sp, r11, #12
    ldm         sp, {r11, sp, lr}
    bx          lr
.endif
